Prev | Orchestra Opcodes and Operators | Next

## |

| — Bitwise OR operator.

## Description

The bitwise operators perform operations of bitwise AND, bitwise OR, bitwise NOT and bitwise non-equivalence.

## Syntax

    a | b  (bitwise OR)

where the arguments a and b may be further expressions. They are converted to the nearest integer to machine precision and then the operation is performed.

## Performance

The priority of these operators is less binding that the arithmetic ones, but more binding that the comparisons.

Parentheses may be used as above to force particular groupings.

For an example of usage, see the entry for &

## See Also

&, #, ¬

Prev | Up | Next
& | Home | ¬